CocoaLineTextField Class Reference

`#include <CocoaLineTextField.h>`

Inheritance diagram for CocoaLineTextField:

## Instance Methods

(NSSize) | - minSize
(NSSize) | - neededTextSize
(void) | - setC_ActionPtr:Data:
(void) | - setC_TextChanged_ActionPtr:Data:

## Protected Attributes

void * | c_actionData
gwenTextFieldActionPtr | c_actionPtr
void * | c_textChangedActionData
gwenTextFieldActionPtr | c_textChangedActionPtr
BOOL | fillX
BOOL | fillY
CGFloat | minWidth

## Detailed Description

Definition at line 19 of file CocoaLineTextField.h.

## Method Documentation

## minSize

- (NSSize) minSize |  |  |

References minSize.

Referenced by minSize.

## neededTextSize

- (NSSize) neededTextSize |  |  |

## setC_ActionPtr:Data:

- (void) setC_ActionPtr: |  | (gwenTextFieldActionPtr) | ptr
Data: |  | (void *) | data

## setC_TextChanged_ActionPtr:Data:

- (void) setC_TextChanged_ActionPtr: |  | (gwenTextFieldActionPtr) | ptr
Data: |  | (void *) | data

## Field Documentation

## c_actionData

- (void*) c_actionData

protected

Definition at line 22 of file CocoaLineTextField.h.

## c_actionPtr

- (gwenTextFieldActionPtr) c_actionPtr

protected

Definition at line 21 of file CocoaLineTextField.h.

## c_textChangedActionData

- (void*) c_textChangedActionData

protected

Definition at line 25 of file CocoaLineTextField.h.

## c_textChangedActionPtr

- (gwenTextFieldActionPtr) c_textChangedActionPtr

protected

Definition at line 24 of file CocoaLineTextField.h.

## fillX

- (BOOL) fillX

read write protected inherited

Definition at line 19 of file CocoaLabel.h.

## fillY

- (BOOL) fillY

read write protected inherited

Definition at line 20 of file CocoaLabel.h.

## minWidth

- (CGFloat) minWidth

protected inherited

Definition at line 22 of file CocoaLabel.h.

The documentation for this class was generated from the following file:

- CocoaLineTextField.h